/*
Copyright 2022 The Dapr Authors
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
    http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package crypto

const (
	privateKeyRSAPKCS1 = `-----BEGIN RSA PRIVATE KEY-----
MIIEpQIBAAKCAQEA3I2mdIK4mRRu+ywMrYjUZzBxt0NlAVLrMhGlaJsby7PWTMiL
pZVip4SBD9GwnCU0TGFD7k2+7tfs0y9U6WV7MwgCjc9m/DUUGbE+kKjEU7JYkLzY
lndys+6xuhD4Jf1hu9AZVdfXftpWSy/NNg6fVwTH4nckOAbOSL1hXToOYWQcDDW9
5Rhw3U4z04PqssEpRKn5KGBuTahNNNiZcWns99pChpLTxgdm93LjMBI1KCGBpOaz
7fcQJ9V3c6rSwMKyY3IPm1LwS6PIs7xb2ZJ0Eb8A6MtCkGhgNsodpkxhqKbqtxI+
KqTuZy9g4jb8WKjJq9lB9q+HPHoQqIEDom6P8wIDAQABAoIBAQCwSSxWDjI8cR+v
9WqAvlB/1jHeeKjgIQXK9F3QucHC1RCiON2d0USUfw2ltkZC2F3v+wKQFGZbhA1Q
U5G8KBgMFwfrj25Sgp55VrmaaLrb5z5xGfDIe9sbxNsbzPp7awbWVqQZgDdHtn6p
BCEzZwanSDP4aKBzg8UYUP7kxEXAQwc/Z/L7U8SnZ0oGJPeyXbKjgiMw9FYxaHV7
/bGe8VdhIYLHX7WrIP9WkIKkvv6S5NYJkU7HwKr8SlmJfui8NUERvQmWtPeytcAC
mQQTjZhgWeXdN6OWBk7LTSC/up77pYHXuUEz/b94V3mWJ0nNVLiuInFloE0l5bSy
D9K6xgARAoGBAPSzprPH3dBVcIdgsknMQVs+T4O4FbZQpuqg9mSg2S/OBQw/wVcs
uS0JvZVeJE3BN08lh+nR3hpieIN1habmOMbrLlPK3VVDr/naXC6FuICZ0OLGqinY
t7lOU5s6gqr8zV0qBAr8uQD1yvi4dNXOX4K5nkc2FBCTdoYMcWi+hyQZAoGBAOa8
kSiac7GQ9gdcW521HkS04wUajiKhbFbhdJTIu0jGduCLCiH2vQngQnxiBZSMBnvo
yG6My9payLMN0N42R3MCFavatbPb6GXluGe3MpQgbPS6udffW+fuvkLngyuBZLIO
bkLA2NiZXmppudy+AjCI5gUWlRFDFu40X8TUCXXrAoGBAL2/bR3tdugsyJSBe97T
3z4kpD3sihGUmspHxKglPiTeqXVlHsQ9bt4otnTTymzszbm2zZyXW5W0E+VERT41
OYOuLH9XSKfsU9H37BE7KeW24I5pJNxMK7MqtJQjG94BKDH8+aOXctH2xsx1JEwC
undA/iYUHhz4bCjoDyz8yQhJAoGBAKZE1+2Ebz5TkZb4TOS2cVtdZgJ1glseK63n
xVS52Yu1yFBCoUicPtjxC7gKAq9qv/lmY5iWSQfOR7YPjKW0Q4Ryyh8O+cTkAPH8
ugezEfV/8EPikq0mvVnCxsP7hKBDG8bbc0UTJq/exRS1n0OcgINtAyRDg6PuzoVU
pHZ3vWGFAoGAc5Um3YYkhh2QScQBy5+kumH40LhFFy2ETznWEp0tS2NwmTfTm/Nl
Sg+Ct2nOw93cIhwDjWyoilkIapuuX2obY+sUc3kj2ugU+hONfuBStsF020IPP1sk
A9okIZVbz8ycqcjaBiNc4+TeiXED1K7bV9Kg+A9lxDxfGRybJ1/ECWA=
-----END RSA PRIVATE KEY-----
`
	privateKeyRSAPKCS8 = `-----BEGIN PRIVATE KEY-----
MIIEvwIBADANBgkqhkiG9w0BAQEFAASCBKkwggSlAgEAAoIBAQDcjaZ0griZFG77
LAytiNRnMHG3Q2UBUusyEaVomxvLs9ZMyIullWKnhIEP0bCcJTRMYUPuTb7u1+zT
L1TpZXszCAKNz2b8NRQZsT6QqMRTsliQvNiWd3Kz7rG6EPgl/WG70BlV19d+2lZL
L802Dp9XBMfidyQ4Bs5IvWFdOg5hZBwMNb3lGHDdTjPTg+qywSlEqfkoYG5NqE00
2Jlxaez32kKGktPGB2b3cuMwEjUoIYGk5rPt9xAn1XdzqtLAwrJjcg+bUvBLo8iz
vFvZknQRvwDoy0KQaGA2yh2mTGGopuq3Ej4qpO5nL2DiNvxYqMmr2UH2r4c8ehCo
gQOibo/zAgMBAAECggEBALBJLFYOMjxxH6/1aoC+UH/WMd54qOAhBcr0XdC5wcLV
EKI43Z3RRJR/DaW2RkLYXe/7ApAUZluEDVBTkbwoGAwXB+uPblKCnnlWuZpoutvn
PnEZ8Mh72xvE2xvM+ntrBtZWpBmAN0e2fqkEITNnBqdIM/hooHODxRhQ/uTERcBD
Bz9n8vtTxKdnSgYk97JdsqOCIzD0VjFodXv9sZ7xV2Ehgsdftasg/1aQgqS+/pLk
1gmRTsfAqvxKWYl+6Lw1QRG9CZa097K1wAKZBBONmGBZ5d03o5YGTstNIL+6nvul
gde5QTP9v3hXeZYnSc1UuK4icWWgTSXltLIP0rrGABECgYEA9LOms8fd0FVwh2Cy
ScxBWz5Pg7gVtlCm6qD2ZKDZL84FDD/BVyy5LQm9lV4kTcE3TyWH6dHeGmJ4g3WF
puY4xusuU8rdVUOv+dpcLoW4gJnQ4saqKdi3uU5TmzqCqvzNXSoECvy5APXK+Lh0
1c5fgrmeRzYUEJN2hgxxaL6HJBkCgYEA5ryRKJpzsZD2B1xbnbUeRLTjBRqOIqFs
VuF0lMi7SMZ24IsKIfa9CeBCfGIFlIwGe+jIbozL2lrIsw3Q3jZHcwIVq9q1s9vo
ZeW4Z7cylCBs9Lq5199b5+6+QueDK4Fksg5uQsDY2Jleamm53L4CMIjmBRaVEUMW
7jRfxNQJdesCgYEAvb9tHe126CzIlIF73tPfPiSkPeyKEZSaykfEqCU+JN6pdWUe
xD1u3ii2dNPKbOzNubbNnJdblbQT5URFPjU5g64sf1dIp+xT0ffsETsp5bbgjmkk
3Ewrsyq0lCMb3gEoMfz5o5dy0fbGzHUkTAK6d0D+JhQeHPhsKOgPLPzJCEkCgYEA
pkTX7YRvPlORlvhM5LZxW11mAnWCWx4rrefFVLnZi7XIUEKhSJw+2PELuAoCr2q/
+WZjmJZJB85Htg+MpbRDhHLKHw75xOQA8fy6B7MR9X/wQ+KSrSa9WcLGw/uEoEMb
xttzRRMmr97FFLWfQ5yAg20DJEODo+7OhVSkdne9YYUCgYBzlSbdhiSGHZBJxAHL
n6S6YfjQuEUXLYRPOdYSnS1LY3CZN9Ob82VKD4K3ac7D3dwiHAONbKiKWQhqm65f
ahtj6xRzeSPa6BT6E41+4FK2wXTbQg8/WyQD2iQhlVvPzJypyNoGI1zj5N6JcQPU
rttX0qD4D2XEPF8ZHJsnX8QJYA==
-----END PRIVATE KEY-----
`
	privateKeyRSAJSON = `{"kty":"RSA","n":"3I2mdIK4mRRu-ywMrYjUZzBxt0NlAVLrMhGlaJsby7PWTMiLpZVip4SBD9GwnCU0TGFD7k2-7tfs0y9U6WV7MwgCjc9m_DUUGbE-kKjEU7JYkLzYlndys-6xuhD4Jf1hu9AZVdfXftpWSy_NNg6fVwTH4nckOAbOSL1hXToOYWQcDDW95Rhw3U4z04PqssEpRKn5KGBuTahNNNiZcWns99pChpLTxgdm93LjMBI1KCGBpOaz7fcQJ9V3c6rSwMKyY3IPm1LwS6PIs7xb2ZJ0Eb8A6MtCkGhgNsodpkxhqKbqtxI-KqTuZy9g4jb8WKjJq9lB9q-HPHoQqIEDom6P8w","e":"AQAB","d":"sEksVg4yPHEfr_VqgL5Qf9Yx3nio4CEFyvRd0LnBwtUQojjdndFElH8NpbZGQthd7_sCkBRmW4QNUFORvCgYDBcH649uUoKeeVa5mmi62-c-cRnwyHvbG8TbG8z6e2sG1lakGYA3R7Z-qQQhM2cGp0gz-Gigc4PFGFD-5MRFwEMHP2fy-1PEp2dKBiT3sl2yo4IjMPRWMWh1e_2xnvFXYSGCx1-1qyD_VpCCpL7-kuTWCZFOx8Cq_EpZiX7ovDVBEb0JlrT3srXAApkEE42YYFnl3TejlgZOy00gv7qe-6WB17lBM_2_eFd5lidJzVS4riJxZaBNJeW0sg_SusYAEQ","p":"9LOms8fd0FVwh2CyScxBWz5Pg7gVtlCm6qD2ZKDZL84FDD_BVyy5LQm9lV4kTcE3TyWH6dHeGmJ4g3WFpuY4xusuU8rdVUOv-dpcLoW4gJnQ4saqKdi3uU5TmzqCqvzNXSoECvy5APXK-Lh01c5fgrmeRzYUEJN2hgxxaL6HJBk","q":"5ryRKJpzsZD2B1xbnbUeRLTjBRqOIqFsVuF0lMi7SMZ24IsKIfa9CeBCfGIFlIwGe-jIbozL2lrIsw3Q3jZHcwIVq9q1s9voZeW4Z7cylCBs9Lq5199b5-6-QueDK4Fksg5uQsDY2Jleamm53L4CMIjmBRaVEUMW7jRfxNQJdes"}`
)

const (
	publicKeyRSAPKCS1 = `-----BEGIN RSA PUBLIC KEY-----
MIIBCgKCAQEA3I2mdIK4mRRu+ywMrYjUZzBxt0NlAVLrMhGlaJsby7PWTMiLpZVi
p4SBD9GwnCU0TGFD7k2+7tfs0y9U6WV7MwgCjc9m/DUUGbE+kKjEU7JYkLzYlndy
s+6xuhD4Jf1hu9AZVdfXftpWSy/NNg6fVwTH4nckOAbOSL1hXToOYWQcDDW95Rhw
3U4z04PqssEpRKn5KGBuTahNNNiZcWns99pChpLTxgdm93LjMBI1KCGBpOaz7fcQ
J9V3c6rSwMKyY3IPm1LwS6PIs7xb2ZJ0Eb8A6MtCkGhgNsodpkxhqKbqtxI+KqTu
Zy9g4jb8WKjJq9lB9q+HPHoQqIEDom6P8wIDAQAB
-----END RSA PUBLIC KEY-----
`
	publicKeyRSAPKIX = `-----BEGIN PUBLIC KEY-----
MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA3I2mdIK4mRRu+ywMrYjU
ZzBxt0NlAVLrMhGlaJsby7PWTMiLpZVip4SBD9GwnCU0TGFD7k2+7tfs0y9U6WV7
MwgCjc9m/DUUGbE+kKjEU7JYkLzYlndys+6xuhD4Jf1hu9AZVdfXftpWSy/NNg6f
VwTH4nckOAbOSL1hXToOYWQcDDW95Rhw3U4z04PqssEpRKn5KGBuTahNNNiZcWns
99pChpLTxgdm93LjMBI1KCGBpOaz7fcQJ9V3c6rSwMKyY3IPm1LwS6PIs7xb2ZJ0
Eb8A6MtCkGhgNsodpkxhqKbqtxI+KqTuZy9g4jb8WKjJq9lB9q+HPHoQqIEDom6P
8wIDAQAB
-----END PUBLIC KEY-----
`
	publicKeyRSAJSON = `{"kty":"RSA","n":"3I2mdIK4mRRu-ywMrYjUZzBxt0NlAVLrMhGlaJsby7PWTMiLpZVip4SBD9GwnCU0TGFD7k2-7tfs0y9U6WV7MwgCjc9m_DUUGbE-kKjEU7JYkLzYlndys-6xuhD4Jf1hu9AZVdfXftpWSy_NNg6fVwTH4nckOAbOSL1hXToOYWQcDDW95Rhw3U4z04PqssEpRKn5KGBuTahNNNiZcWns99pChpLTxgdm93LjMBI1KCGBpOaz7fcQJ9V3c6rSwMKyY3IPm1LwS6PIs7xb2ZJ0Eb8A6MtCkGhgNsodpkxhqKbqtxI-KqTuZy9g4jb8WKjJq9lB9q-HPHoQqIEDom6P8w","e":"AQAB"}`
)

const (
	publicKeyEd25519PKIX = `-----BEGIN PUBLIC KEY-----
MCowBQYDK2VwAyEAzSjVm3Fj1chMFGcRoE/e6ft9xvAs3x1CVn6PVS+x1e8=
-----END PUBLIC KEY-----
`
	publicKeyEd25519JSON = `{"kid":"ed25519-public","kty":"OKP","crv":"Ed25519","alg":"EdDSA","x":"zSjVm3Fj1chMFGcRoE_e6ft9xvAs3x1CVn6PVS-x1e8"}`
)

const (
	privateKeyEd25519PKCS8 = `-----BEGIN PRIVATE KEY-----
MC4CAQAwBQYDK2VwBCIEIFnPHZMGmIQ4W8kx53JzZEDPVmTQwdI7uM5hxDzWIIbU
-----END PRIVATE KEY-----
`
	privateKeyEd25519JSON = `{"kid":"ed25519-private","kty":"OKP","crv":"Ed25519","alg":"EdDSA","x":"zSjVm3Fj1chMFGcRoE_e6ft9xvAs3x1CVn6PVS-x1e8","d":"Wc8dkwaYhDhbyTHncnNkQM9WZNDB0ju4zmHEPNYghtQ"}`
)

const (
	publicKeyP256PKIX = `-----BEGIN PUBLIC KEY-----
MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEUMn1c2ioMNi2DqvC8hdBVUERFZ97
eVFsNVcQIgR0Hsq5PVrQ/dQ4uI5u97b6k4wXHYFXMvPmsW1T6qZAE9bB3Q==
-----END PUBLIC KEY-----
`
	publicKeyP256JSON = `{"kty":"EC","crv":"P-256","x":"UMn1c2ioMNi2DqvC8hdBVUERFZ97eVFsNVcQIgR0Hso","y":"uT1a0P3UOLiObve2-pOMFx2BVzLz5rFtU-qmQBPWwd0"},`
)

const (
	privateKeyP256EC = `-----BEGIN EC PRIVATE KEY-----
MHcCAQEEIOcFe4Q6ardS97ml2tV4+194nmlfQPh8o9ir/qsacEozoAoGCCqGSM49
AwEHoUQDQgAEUMn1c2ioMNi2DqvC8hdBVUERFZ97eVFsNVcQIgR0Hsq5PVrQ/dQ4
uI5u97b6k4wXHYFXMvPmsW1T6qZAE9bB3Q==
-----END EC PRIVATE KEY-----
`
	privateKeyP256PKCS8 = `-----BEGIN PRIVATE KEY-----
MIGHAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBG0wawIBAQQg5wV7hDpqt1L3uaXa
1Xj7X3ieaV9A+Hyj2Kv+qxpwSjOhRANCAARQyfVzaKgw2LYOq8LyF0FVQREVn3t5
UWw1VxAiBHQeyrk9WtD91Di4jm73tvqTjBcdgVcy8+axbVPqpkAT1sHd
-----END PRIVATE KEY-----
`
	privateKeyP256JSON = `{"kty":"EC","crv":"P-256","d":"5wV7hDpqt1L3uaXa1Xj7X3ieaV9A-Hyj2Kv-qxpwSjM","x":"UMn1c2ioMNi2DqvC8hdBVUERFZ97eVFsNVcQIgR0Hso","y":"uT1a0P3UOLiObve2-pOMFx2BVzLz5rFtU-qmQBPWwd0"},`
)
